# Uses of Interface
org.springframework.beans.factory.xml.NamespaceHandlerResolver

Packages that use NamespaceHandlerResolver
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of NamespaceHandlerResolver in org.springframework.beans.factory.xml

Classes in org.springframework.beans.factory.xml that implement NamespaceHandlerResolver
Modifier and Type
Class
Description
`class`
`DefaultNamespaceHandlerResolver`
Default implementation of the `NamespaceHandlerResolver` interface.
Methods in org.springframework.beans.factory.xml that return NamespaceHandlerResolver
Modifier and Type
Method
Description
`protected NamespaceHandlerResolver`
XmlBeanDefinitionReader.`createDefaultNamespaceHandlerResolver()`
Create the default implementation of `NamespaceHandlerResolver` used if none is specified.
`NamespaceHandlerResolver`
XmlBeanDefinitionReader.`getNamespaceHandlerResolver()`
Lazily create a default NamespaceHandlerResolver, if not set before.
`final NamespaceHandlerResolver`
XmlReaderContext.`getNamespaceHandlerResolver()`
Return the namespace resolver.
Methods in org.springframework.beans.factory.xml with parameters of type NamespaceHandlerResolver
Modifier and Type
Method
Description
`void`
XmlBeanDefinitionReader.`setNamespaceHandlerResolver(NamespaceHandlerResolver namespaceHandlerResolver)`
Specify the `NamespaceHandlerResolver` to use.
Constructors in org.springframework.beans.factory.xml with parameters of type NamespaceHandlerResolver
Modifier
Constructor
Description
``
`XmlReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor, XmlBeanDefinitionReader reader, NamespaceHandlerResolver namespaceHandlerResolver)`
Construct a new `XmlReaderContext`.